Subject: Re: bug#62102: [PATCH] services: Add whoogle-service-type.

From: Miguel Ángel Moreno <[email-masked]>
Date: Sun, 13 Aug 2023 12:57:25 +0200

On 2023-08-08 17:26, Ludovic Courtès wrote:

> Hey,

Hi Ludovic,

> Miguel Ángel Moreno <[email-masked]> skribis:
>
>> On 2023-06-09 23:03, Ludovic Courtès wrote:
>>
>>> Hi conses,
>>>
>>> Did you have a chance to look into Bruno’s suggestions below?
>>>
>>> Please let us know what you think.
>>>

I addressed Bruno's points, added extra fields to configure this service
further, and documented these in the manual.

In regard to tests, I had a glance at ./tests/services/ to see what kind
of tests there were, and most them test serialization or some
service-specific feature.  Since Whoogle is essentially a Flask web
application, I wouldn't know how to go about testing it in the context
of a service.

Other than that, happy to hear your feedback on the new revision :)

>>
>> Hey Ludovic,
>>
>> Yes, I've noted them but I haven't gotten around to implementing them
>> yet.  I'll give this a shot soon.
>
> Friendly ping!  :-)
>
> Ludo’.

-- 
Best regards,
Miguel Ángel Moreno